<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XAudioCodecPreferenceList StructType
 * @subpackage Structs
 */
class XAudioCodecPreferenceList extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * The codecsInList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList
     */
    public $codecsInList;
    /**
     * Constructor method for XAudioCodecPreferenceList
     * @uses XAudioCodecPreferenceList::setName()
     * @uses XAudioCodecPreferenceList::setDescription()
     * @uses XAudioCodecPreferenceList::setCodecsInList()
     * @param string $name
     * @param string $description
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList $codecsInList
     */
    public function __construct($name = null, $description = null, \\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList $codecsInList = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setCodecsInList($codecsInList);
    }
    /**
     * Get name value
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XAudioCodecPreferenceList
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XAudioCodecPreferenceList
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get codecsInList value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList
     */
    public function getCodecsInList()
    {
        return $this->codecsInList;
    }
    /**
     * Set codecsInList value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList $codecsInList
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XAudioCodecPreferenceList
     */
    public function setCodecsInList(\\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList $codecsInList = null)
    {
        $this->codecsInList = $codecsInList;
        return $this;
    }
}
